Skip to main content
POST
/
twitter
/
communities
/
{community_id}
/
tweets
Get Community Tweets
curl --request POST \
  --url https://api.apitwitter.com/twitter/communities/{community_id}/tweets \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "cookie": "<string>",
  "proxy": "<string>",
  "count": 20,
  "cursor": "<string>"
}
'
{
  "data": {
    "tweets": [
      {
        "id": "2035003700855407052",
        "text": "Happy vernal equinox! 🍀\n\nToday marks the first day of spring in the Northern Hemisphere and the first day of autumn in the Southern Hemisphere.",
        "created_at": "Fri Mar 20 14:41:05 +0000 2026",
        "author": {
          "id": "11348282",
          "userName": "NASA",
          "name": "NASA",
          "screen_name": "NASA",
          "followers_count": 90024457,
          "friends_count": 116,
          "statuses_count": 73493,
          "favourites_count": 16551,
          "listed_count": 96550,
          "description": "Official NASA account. Exploring the universe, advancing science, and inspiring the next generation of explorers.",
          "location": "",
          "profile_image_url_https": "",
          "profile_image_url": "",
          "profile_banner_url": "https://pbs.twimg.com/profile_banners/11348282/1718393721",
          "verified": false,
          "is_blue_verified": true,
          "created_at": "",
          "can_dm": false
        },
        "likeCount": 15230,
        "retweetCount": 2100,
        "replyCount": 450,
        "viewCount": 1250000,
        "isRetweet": false,
        "isReply": false,
        "media": []
      }
    ],
    "has_next_page": true,
    "next_cursor": "DAABCgABHC..."
  }
}

Authorizations

X-API-Key
string
header
required

Your API key

Path Parameters

community_id
string
required

ID of the community

Body

application/json

Twitter auth cookie

proxy
string
required

Proxy URL to use for the request (HTTP or SOCKS5)

count
integer
default:20

Number of results to return, 1-100 (default: 20)

Required range: 1 <= x <= 100
cursor
string

Pagination cursor for the next page

Response

List of community tweets

status
string

Response status

Example:

"success"

msg
string

Response message

data
any

Response data